%define		_state		stable
%define		orgname		gwenview
%define		qtver		4.8.3
%define		kactivitiesver	4.13.0

Summary:	K Desktop Environment - Simple image viewer
Summary(pl.UTF-8):	K Desktop Environment - Prosta przeglądarka obrazków
Name:		kde4-gwenview
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	a609256023f7b6e786fe7728ba299544
URL:		http://www.kde.org/
BuildRequires:	kde4-kactivities-devel >= %{kactivitiesver}
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libjpeg-devel
BuildRequires:	kde4-libkdcraw-devel >= %{version}
BuildRequires:	kde4-libkipi-devel >= %{version}
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Obsoletes:	gwenview <= 4.8.0
Obsoletes:	kde4-kdegraphics-gwenview < 4.6.100-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide
easy navigation in your file hierarchy. Image loading is done by the
Qt library, so it supports all image formats your Qt installation
supports.

%description -l pl.UTF-8
Gwenview to przeglądarka obrazków dla KDE. Ma okno z drzewem katalogów
oraz okno z listą plików w celu zapewnienia łatwej nawigacji w
hierarchii plików. Wczytywanie obrazków jest wykonywane przez
bibliotekę Qt, więc przeglądarka obsługuje wszystkie formaty
obsługiwane przez zainstalowaną wersję Qt.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gwenview
%attr(755,root,root) %{_bindir}/gwenview_importer
%attr(755,root,root) %{_libdir}/libgwenviewlib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgwenviewlib.so.?
%attr(755,root,root) %{_libdir}/kde4/gvpart.so
%{_datadir}/apps/gwenview
%{_datadir}/apps/gvpart
%{_datadir}/kde4/services/gvpart.desktop
%{_datadir}/kde4/services/ServiceMenus/slideshow.desktop
%{_desktopdir}/kde4/gwenview.desktop
%{_datadir}/apps/solid/actions/gwenview_importer.desktop
%{_datadir}/apps/solid/actions/gwenview_importer_camera.desktop
%{_iconsdir}/*/*/actions/document-share.png
%{_iconsdir}/*/*/apps/gwenview.png
%{_iconsdir}/*/scalable/apps/gwenview.svgz
%{_iconsdir}/*/scalable/actions/document-share.svgz
%{_kdedocdir}/en/gwenview
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-gwenview.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 898a8dc
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ef394e
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> dd46688
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ac1a50
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f81b970
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1809cfe
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0ebeddc
- BR: kde4-libkdcraw-devel

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b32a606
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 358e456
- updated to 4.12.4 (by update-kde4.sh)

* Sat Mar 15 2014 Jan Rękorajski <baggins@pld-linux.org> 7bd7fb8
- 4.12.3

* Sat Feb 08 2014 Jan Rękorajski <baggins@pld-linux.org> ee76773
- updated BRs
- rel 2

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1594ef9
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1c9ad23
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 840ad01
- up to 4.12.0

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> 513c3b5
- Up to 4.11.4.

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a68e11
- up to 4.11.3

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f814800
- release 2 (by relup.sh)

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 52ef086
- up to 4.11.1

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e3fa67
- up to 4.11.0

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 15044b5
- up to 4.10.5

